Bug 623024 - kernel: mISDN issue
kernel: mISDN issue
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 623025
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 02:35 EDT by Eugene Teo (Security Response)
Modified: 2010-11-22 00:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 00:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-08-11 02:35:46 EDT
Description of problem:
This issue was first reported here:
http://www.isdn4linux.de/pipermail/isdn4linux/2009-December/004487.html
https://bugzilla.novell.com/show_bug.cgi?id=564423

From Patrick Koppen isdn4linux at koppen.de on Sun Dec 13 18:17:31 CET 2009,

"I tried misdn 1.1.21 as a normal user (NOT ROOT):

 $ ./tools/misdn_info

ok, only useful information. nothing to hide.

 $ ./tools/misdn_log

every user can see every call, could be some privacy issue.

 $ ./tools/misdn_rename 0 test

little DoS, lcr will not find a named port...

 $ ./example/testcon -n 09009......

very expensive.... this should NOT work!

I suggest to restrict access to the data socket. The base socket ioctl IMSETDEVNAME should be protected too."
Comment 2 Eugene Teo (Security Response) 2010-08-12 02:17:56 EDT
The thread mentioned in comment #0 died out. I'm checking with Patrick and SuSE folks to see if there's any follow-ups since then.
Comment 3 Eugene Teo (Security Response) 2010-08-13 02:15:01 EDT
(In reply to comment #2)
> The thread mentioned in comment #0 died out. I'm checking with Patrick and SuSE
> folks to see if there's any follow-ups since then.    

No progress so far.

Note You need to log in before you can comment on or make changes to this bug.